import Vue from "vue";
import Vuex, { StoreOptions } from "vuex";
import { server } from "./server";
import { room } from "./room";

Vue.use(Vuex);

export interface AppState {
	// Client info
	playerName: string;
}

const store: StoreOptions<AppState> = {
	state: {
		playerName:
			"webclient-" +
			Math.random()
				.toString(32)
				.slice(2)
	},
	modules: {
		server,
		room
	}
};

export default new Vuex.Store<AppState>(store);
